MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032525Open CASCADE[OCCT] OCCT:Data Exchangepublic2021-08-10 23:192021-09-23 01:44
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032525: Data Exchange, RWGltf_CafReader - support KHR_draco_mesh_compression
DescriptionIt is desired supporting glTF files using KHR_draco_mesh_compression extension within RWGltf_CafReader reader.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
parent of 0032526newkgv Open CASCADE Tests - add Draco-compressed glTF file samples 
parent of 0032536verifiedkgv Open CASCADE Configuration - extend adm/scripts with USE_DRACO option 
parent of 0032549verifiedsmoskvin Open CASCADE Configuration - fix misprint in adm/scripts/android_build.bat for Draco library name 
related to 0032582verifiedsmoskvin Open CASCADE Configuration, genproj - make CSF_OPT_LIB64D configurable by genconf 
child of 0030691closedbugmaster Open CASCADE Data Exchange - implement import of mesh data from files in glTF format 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0103119)
git (administrator)
2021-08-10 23:59

Branch CR32525 has been created by kgv.

SHA-1: 4b207edb02f9b5e40ef50554cb9fc65842d96989


Detailed log of new commits:

Author: kgv
Date: Tue Aug 10 20:35:14 2021 +0300

    0032525: Data Exchange, RWGltf_CafReader - support KHR_draco_mesh_compression
(0103120)
git (administrator)
2021-08-11 00:27

Branch CR32525 has been updated forcibly by kgv.

SHA-1: d19fdd53f67219ee6070dca4ce4e034b7889d340
(0103121)
git (administrator)
2021-08-11 00:35

Branch CR32525 has been updated forcibly by kgv.

SHA-1: d191a5955ca2b9330bed7384a86c38e01316e963
(0103122)
git (administrator)
2021-08-11 00:45

Branch CR32525 has been updated forcibly by kgv.

SHA-1: 7e22ff7fdf4056e34f206cd9536560b4b6933082
(0103123)
git (administrator)
2021-08-11 01:13

Branch CR32525 has been updated forcibly by kgv.

SHA-1: b5197067a7df5d972af8766e805b1d790ab4091d
(0103124)
git (administrator)
2021-08-11 07:56

Branch CR32525 has been updated forcibly by kgv.

SHA-1: 3330c17ade70a135daf0f14242c15f9499fce01f
(0103125)
kgv (developer)
2021-08-11 08:00

Patch is ready for review
- OCCT: branch CR32525.

http://jenkins-test-12.nnov.opencascade.com/view/CR32525-master-KGV [^]
(0103127)
osa (developer)
2021-08-11 10:19

The patch was reviewed
(0103200)
bugmaster (administrator)
2021-08-14 13:23

Combination -
OCCT branch : IR-2021-08-13
master SHA - 7b5f784419eb9fd9a1d3dc69eff89d3e720d6e97
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-08-13 SHA - 8dc957c07e49e8db2f1330ec126160fe1c7eb89d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17368.20000000041 / 17370.70000000038 [-0.01%]
Products
Total CPU difference: 11492.330000000085 / 11466.840000000084 [+0.22%]
Windows-64-VC14:
OCCT
Total CPU difference: 19143.8125 / 19180.875 [-0.19%]
Products
Total CPU difference: 12803.65625 / 12837.4375 [-0.26%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0103215)
git (administrator)
2021-08-14 14:02

Branch CR32525 has been deleted by mnt.

SHA-1: 3330c17ade70a135daf0f14242c15f9499fce01f

- Related Changesets
occt: master d9d75a84
Timestamp: 2021-08-10 17:35:14
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032525: Data Exchange, RWGltf_CafReader - support KHR_draco_mesh_compression

Added new optional dependency - Draco library.
RWGltf_GltfJsonParser now detects KHR_draco_mesh_compression extension,
marks accessor being compressed and redirects to compressed buffer view.
RWGltf_TriangulationReader now handles decoding of buffer view compressed using Draco.

env.bat template for genproj has been modified to allow specifying dedicated folders
with debug versions of libraries (CSF_OPT_LIB64D / CSF_OPT_BIN64D) within custom.bat.
Removed unused CSF_FREETYPE from TKOpenGl.
add - adm/cmake/draco.cmake Diff ] File ]
mod - adm/cmake/occt_csf.cmake Diff ] File ]
mod - adm/cmake/vardescr.cmake Diff ] File ]
mod - adm/genconf.tcl Diff ] File ]
mod - adm/genconfdeps.tcl Diff ] File ]
mod - adm/genproj.tcl Diff ] File ]
mod - adm/templates/env.bat Diff ] File ]
mod - adm/templates/env.sh Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - dox/introduction/introduction.md Diff ] File ]
mod - src/Draw/Draw_BasicCommands.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_GltfAccessor.hxx Diff ] File ]
mod - src/RWGltf/RWGltf_GltfJsonParser.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_GltfJsonParser.hxx Diff ] File ]
mod - src/RWGltf/RWGltf_GltfLatePrimitiveArray.hxx Diff ] File ]
mod - src/RWGltf/RWGltf_GltfPrimArrayData.hxx Diff ] File ]
mod - src/RWGltf/RWGltf_TriangulationReader.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_TriangulationReader.hxx Diff ] File ]
mod - src/TKOpenGl/EXTERNLIB Diff ] File ]
mod - src/TKRWMesh/EXTERNLIB Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-08-10 23:19 kgv New Issue
2021-08-10 23:19 kgv Assigned To => kgv
2021-08-10 23:20 kgv Relationship added child of 0029246
2021-08-10 23:59 git Note Added: 0103119
2021-08-11 00:27 git Note Added: 0103120
2021-08-11 00:35 git Note Added: 0103121
2021-08-11 00:45 git Note Added: 0103122
2021-08-11 01:13 git Note Added: 0103123
2021-08-11 07:56 git Note Added: 0103124
2021-08-11 08:00 kgv Note Added: 0103125
2021-08-11 08:00 kgv Assigned To kgv => osa
2021-08-11 08:00 kgv Status new => resolved
2021-08-11 08:02 kgv Relationship added parent of 0032526
2021-08-11 08:03 kgv Relationship added child of 0030691
2021-08-11 10:19 osa Note Added: 0103127
2021-08-11 10:19 osa Assigned To osa => bugmaster
2021-08-11 10:19 osa Status resolved => reviewed
2021-08-14 13:23 bugmaster Note Added: 0103200
2021-08-14 13:23 bugmaster Status reviewed => tested
2021-08-14 13:26 bugmaster Test case number => Not required
2021-08-14 13:31 bugmaster Changeset attached => occt master d9d75a84
2021-08-14 13:31 bugmaster Status tested => verified
2021-08-14 13:31 bugmaster Resolution open => fixed
2021-08-14 14:02 git Note Added: 0103215
2021-08-14 17:59 kgv Relationship added parent of 0032536
2021-08-31 10:57 kgv Relationship added parent of 0032549
2021-09-23 01:44 kgv Relationship added related to 0032582


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker